;(function($) {
    // Strict Mode
    'use strict';

    $(document).ready(function () {

        function parallax() {
            if ($(".parallaxie").length) {
                $('.parallaxie').parallaxie({
                    speed: 0.5,
                });
            }
        }

        parallax();


        $(".archive_nav_item a").on('click', function () {
            event.preventDefault();
            var target = $(this).parent().children(".dropdown-menu");
            $(target).slideDown();
            $(this).parent().siblings().find('ul').slideUp(700);
        });

        /*---------gallery isotope js-----------*/
        function galleryMasonry(){
            if ( $('#gallery').length ){
                $('#gallery').imagesLoaded( function() {
                    // images have loaded
                    // Activate isotope in container
                    $("#gallery").isotope({
                        itemSelector: ".gallery_item",
                        layoutMode: 'masonry',
                        animationOptions: {
                            duration: 750,
                            easing: 'linear'
                        }
                    });

                    // Add isotope click function
                    $(".gallery_filter li").on('click',function(){
                        $(".gallery_filter li").removeClass("active");
                        $(this).addClass("active");

                        var selector = $(this).attr("data-filter");
                        $("#gallery").isotope({
                            filter: selector,
                            animationOptions: {
                                animationDuration: 750,
                                easing: 'linear',
                                queue: false
                            }
                        })
                        return false;
                    })
                })
            }
        }
        galleryMasonry();

        /*--------------- End popup-js--------*/
        function popupGallery() {
            if ($('.popup_youtube').length) {
                $('.popup_youtube').magnificPopup({
                    type: 'iframe',
                    removalDelay: 160,
                    preloader: false,
                    fixedContentPos: false,
                    mainClass: 'mfp-with-zoom mfp-images-mobile',
                });
            }
        }

        popupGallery();


        /*-------------------------------------------------------------------------------
          cart js
        -------------------------------------------------------------------------------*/
        $(".ar_top").on("click", function () {
            var getID = $(this).next().attr("id");
            var result = document.getElementById(getID);
            var qty = result.value;
            $(".proceed_to_checkout .update-cart").removeAttr("disabled");
            if (!isNaN(qty)) {
                result.value++;
            } else {
                return false;
            }
        });

        $(".ar_down").on("click", function () {
            var getID = $(this).prev().attr("id");
            var result = document.getElementById(getID);
            var qty = result.value;
            $(".proceed_to_checkout .update-cart").removeAttr("disabled");
            if (!isNaN(qty) && qty > 0) {
                result.value--;
            } else {
                return false;
            }
        });


        /*-------------------------------------------------------------------------------
          selectpickers js
        -------------------------------------------------------------------------------*/
        if ($(".selectpickers").length > 0) {
            $(".selectpickers").niceSelect();
        }

        if ($('.related_pr_slider').length) {
            $('.related_pr_slider').slick({
                slidesToShow: 3,
                slidesToScroll: 1,
                arrows: true,
                draggable: false,
                responsive: [
                    {
                        breakpoint: 767,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1,
                            arrows: false
                        }
                    },
                    {
                        breakpoint: 450,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                            arrows: false
                        }
                    }
                ]
            });
        }

        $('#moveDown-slide').click(function () {
            $.fn.fullpage.moveSectionDown();
        });
        $('#moveUp-slide').click(function () {
            $.fn.fullpage.moveSectionUp();
        });


    })
})(jQuery);