<div class="services_area sec_pad">
    <div class="intro">
        <div class="container custom_container">
            <div class="row justify-content-center">
                <div class="col-xl-7">
                    <div class="sec_title text-center">
                        <?php
                        if ( !empty ( $settings['title'] ) ) {
                            echo '<h2 class="s_section_title">' . esc_html($settings['title']) . '</h2>';
                        }
                        if ( !empty ( $settings['subtitle'] ) ) {
                            echo wp_kses_post(wpautop( $settings['subtitle'] ) );
                        }
                        ?>
                    </div>
                </div>
            </div>
            <div class="row">
                <?php
                while($services->have_posts()) : $services->the_post();
                    $page_link =  function_exists('get_field') ? get_field('page_link') : '';
                    $column = !empty($settings['column']) ? $settings['column'] : '4';
                    ?>
                    <div class="col-lg-<?php echo esc_attr( $column ) ?> col-md-6">
                        <div class="scroll_service_item">
                            <?php if ( has_post_thumbnail() ) {
                                the_post_thumbnail( 'full', array( 'class' => 'icon p_absoulte' ) );
                            }
                            if ( $page_link ) {
                                $link_url = $page_link['url'];
                                $link_target = $page_link['target'] ? $page_link['target'] : '_self';
                                ?>
                                <a href="<?php echo esc_url( $link_url ); ?>" target="<?php echo esc_attr( $link_target ) ?>">
                                    <h3><?php the_title() ?></h3>
                                </a>
                                <?php
                            } else { ?>
                                <a href="<?php the_permalink(); ?>">
                                    <h3><?php the_title() ?></h3>
                                </a>
                                <?php
                            }
                            ?>
                            <p><?php wavee_limit_latter(get_the_excerpt(), $settings['excerpt'], '...') ?></p>
                            <?php
                            if ( $page_link ) {
                                $link_url = $page_link['url'];
                                $link_target = $page_link['target'] ? $page_link['target'] : '_self';
                                if ( !empty($settings['btn_title'] ) ) { ?>
                                    <a href="<?php echo esc_url( $link_url ); ?>" class="p_btn" target="<?php echo esc_attr( $link_target ) ?>">
                                        <?php echo esc_html($settings['btn_title']) ?>
                                    </a>
                                    <?php
                                }
                            } else {
                                if ( !empty($settings['btn_title'] ) ) { ?>
                                    <a href="<?php the_permalink(); ?>" class="p_btn">
                                        <?php echo esc_html($settings['btn_title']) ?>
                                    </a>
                                    <?php
                                }
                            }
                            ?>
                        </div>
                    </div>
                <?php
                endwhile;
                wp_reset_postdata();
                ?>
            </div>
        </div>
    </div>
</div>