<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package wavee
 */

$opt = get_option('wavee_opt');
$copyright_text = !empty($opt['copyright_txt']) ? $opt['copyright_txt'] : esc_html__( '© 2022 DroitThemes. All rights reserved', 'wavee' );
if ( is_home() ) {
    $is_footer_visibility = 1;
    $footer_style = 'style_01';
} else {
    $is_footer_visibility = function_exists('get_field') ? get_field('footer_visibility') : '1';
}

if ( !isset($is_footer_visibility) ) {
    $is_footer_visibility = '1';
}


if ( is_404() ) {
	echo '';
} else {
	if ( $is_footer_visibility ) {
        ?>
        <footer class="footer_area">
            <div class="container">
                <div class="footer_top">
                    <?php
                    wavee_footer_logo();
                    if ( !empty($opt['footer_title']) ) {
                        echo '<h3>' . wp_kses_post( $opt['footer_title'] ). '</h3>';
                    }
                    if ( wavee_is_not_empty_social_links() == true ) { ?>
                        <ul class="list-unstyled social_link">
                            <?php wavee_social_links(); ?>
                        </ul>
                        <?php
                    }
                    ?>
                </div>
                <div class="footer_bottom">
                    <?php echo wp_kses_post( wpautop( $copyright_text ) ); ?>
                </div>
            </div>
        </footer>
        <?php

	}
}

wp_footer();
?>
</body>
</html>