<?php
// Disable regenerating images while importing media
add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

// OneClick Demo Importer
add_filter( 'pt-ocdi/import_files', 'wavee_import_files' );
function wavee_import_files() {
    return array(

        array(
            'import_file_name'             => esc_html__( 'Design Studio', 'wavee' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/design-studio.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Full Screen Portfolio', 'wavee' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/full-screen-portfolio.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/full-screen-portfolio/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Creative Agency', 'wavee' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/creative-agency.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/creative-agency/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Split', 'wavee' ), //Home Split
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/home-split.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/home-split/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Carousel', 'wavee' ), //Home Carousel
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/home-carousel.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/home-carousel/',
            'categories'                   => array ( esc_html__( 'New', 'wavee' ) ),
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Masonry', 'wavee' ), // Home Masonry
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/home-masonry.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/home-masonry/',
            'categories'                   => array ( esc_html__( 'New', 'wavee' ) ),
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Horizontal Slider', 'wavee' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/home-horizontal-slider.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/home-horizontal-slider/',
            'categories'                   => array ( esc_html__( 'New', 'wavee' ) ),
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Project Showcase', 'wavee' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/project-showcase.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/project-showcase/',
            'categories'                   => array ( esc_html__( 'New', 'wavee' ) ),
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/main/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'One Page', 'wavee' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/one-page/one-page.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/one-page/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/one-page.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'wavee' ),
            'preview_url'                  => 'https://dlwavee.droitlab.com/one-page/',
            'categories'                   => array ( esc_html__( 'OnePage', 'wavee' ) ),
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/one-page/settings.json',
                    'option_name' => 'wavee_opt',
                ),
            ),
        ),


    );
}


function wavee_after_import_setup( $selected_import ) {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array (
            'main_menu' => $main_menu->term_id,
        )
    );

    // Disable Elementor's Default Colors and Default Fonts
    update_option( 'elementor_disable_color_schemes', 'yes' );
    update_option( 'elementor_disable_typography_schemes', 'yes' );
    update_option( 'elementor_global_image_lightbox', '' );


    // Assign front page and posts page (blog page).
    if ( 'Design Studio' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Design Studio' );
    }
    if ( 'Full Screen Portfolio' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Full Screen Portfolio' );
    }
    if ( 'Creative Agency' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Creative Agency' );
    }
    if ( 'Split' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Split' );
    }
    if ( 'Carousel' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Carousel' );
    }
    if ( 'Masonry' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Masonry' );
    }
    if ( 'Horizontal Slider' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Horizontal Slider' );
    }
    if ( 'Project Showcase' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - Project Showcase' );
    }
    if ( 'One Page' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'One Page' );
    }

    $blog_page_id  = get_page_by_title( 'Blog' );

    // Set the home page and blog page
    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'wavee_after_import_setup' );