<?php

// Inline CSS
$dynamic_css = '';

// Page Options
if (  function_exists( 'get_field'  )  ) {
    // Title-bar (Blog List) Banner Background Color
    $background_color_right = function_exists( 'get_field' ) ? get_field( 'background_color_right' ) : '';
    if ($background_color_right ) {
        $dynamic_css .= "
            .breadcrumb_area_two .overlay {
                background-image: -moz-linear-gradient(-42deg, " . esc_attr(get_field( 'background_color_right' ) ) . " 0%, " . get_field( 'background_color_left'  ) . " 100% );
                background-image: -webkit-linear-gradient(-42deg, " . esc_attr(get_field( 'background_color_right' ) ) . " 0%, " . get_field( 'background_color_left'  ) . " 100% );
                background-image: -ms-linear-gradient(-42deg, " . esc_attr(get_field( 'background_color_right' ) ) . " 0%, " . get_field( 'background_color_left'  ) . " 100% );
            }
        ";
    }

    // Footer Background Color
    $footer_bg_color_right = function_exists( 'get_field' ) ? get_field( 'footer_bg_color_right' ) : '';
    if ($footer_bg_color_right ) {
        $dynamic_css .= "
            .footer_area {
                background-image: -moz-linear-gradient(-42deg, " . esc_attr(get_field( 'footer_bg_color_right' ) ) . " 0%, " . get_field( 'footer_bg_color_left'  ) . " 100% );
                background-image: -webkit-linear-gradient(-42deg, " . esc_attr(get_field( 'footer_bg_color_right' ) ) . " 0%, " . get_field( 'footer_bg_color_left'  ) . " 100% );
                background-image: -ms-linear-gradient(-42deg, " . esc_attr(get_field( 'footer_bg_color_right' ) ) . " 0%, " . get_field( 'footer_bg_color_left'  ) . " 100% );
            }
        ";
    }

    // footer Background Image
    $footer_bg_image = function_exists('get_field') ? get_field('footer_bg_image') : '';
    if ( $footer_bg_image ) {
        $dynamic_css .= "
            .footer_area:before {
                background: url({$footer_bg_image}) no-repeat scroll center 0/cover !important;
            }
        ";
    }

    // Page Banner Image
    $background_image = function_exists('get_field') ? get_field('banner_bg_image') : '';
    if ( $background_image ) {
        $dynamic_css .= "
            .breadcrumb_area, .breadcrumb_area_two {
                background: url({$background_image}) 0px / cover no-repeat !important;
            }
        ";
    }

    // Banner Padding Settings
    $banner_padding_top = function_exists( 'get_field'  ) ? get_field( 'banner_padding_top'  ) : '';
    $banner_padding_bottom = function_exists( 'get_field'  ) ? get_field( 'banner_padding_bottom'  ) : '';
    if ( $banner_padding_top ) {
        $dynamic_css .= "
            .breadcrumb_area, .breadcrumb_area_two, .breadcrumb_area_six {
               padding-top: {$banner_padding_top}px;
            }
        ";
    }

    if ($banner_padding_top) {
        $dynamic_css .= "
            .breadcrumb_area, .breadcrumb_area_two, .breadcrumb_area_six {
               padding-bottom: {$banner_padding_bottom}px;
            } 
        ";
    }

    // Post Category Background Color
    $cats_color = get_queried_object();
    $cats_background_color =  get_field( 'post_cats_bg_color', $cats_color );
    if ( $cats_background_color ) {
        $dynamic_css .= "
            .p_tag a, .p_tag a:nth-child(odd), .p_tag a:nth-child(even) {
                background: {$cats_background_color} !important;
            }
        ";
    }

    // Post Tags
    $tags_color = get_queried_object();
    $tags_color_right =  get_field( 'post_tag_background_color_right', $tags_color  );

    if ($tags_color_right ) {
        $dynamic_css .= "
            .post_social_info .tags a.tag:hover {
                background-image: -moz-linear-gradient(142deg, " . esc_attr(get_field( 'tag_background_color_right' ) ) . " 0%, " . get_field( 'post_tag_background_color_left'  ) . " 100% );
                background-image: -webkit-linear-gradient(142deg, " . esc_attr(get_field( 'tag_background_color_right' ) ) . " 0%, " . get_field( 'post_tag_background_color_left'  ) . " 100% );
                background-image: -ms-linear-gradient(142deg, " . esc_attr(get_field( 'tag_background_color_right' ) ) . " 0%, " . get_field( 'post_tag_background_color_left'  ) . " 100% );
            }
        ";
    }

    /**
     * Menu Colors Options
     **/
    $menu_color = function_exists( 'get_field' ) ? get_field( 'menu_color' ) : '';
    $menu_item_color =  !empty( $menu_color['menu_item_color'] ) ? $menu_color['menu_item_color'] : '';
    $menu_active_color =  !empty( $menu_color['menu_active_color'] ) ? $menu_color['menu_active_color'] : '';
    $menu_bg_color =  !empty( $menu_color['menu_bg_color'] ) ? $menu_color['menu_bg_color'] : '';

    if ( $menu_item_color ) {
        $dynamic_css .= "
            .menu > .nav-item > .nav-link {
                color: $menu_item_color !important;
            }
        ";
    }
    if ( $menu_active_color ) {
        $dynamic_css .= "
            .menu > .nav-item > .nav-link:hover, 
            .menu > .active.nav-item > .nav-link {
                color: $menu_active_color !important;
            }
            .menu > .nav-item > .nav-link:before {
                background: $menu_active_color !important;
            }
        ";
    }
    if ( $menu_bg_color ) {
        $dynamic_css .= "
            header.header_area {
                background-color: $menu_bg_color !important;
            }
        ";
    }

    /**
     * Sticky Menu Colors Options
     **/
    $sticky_menu_color = function_exists( 'get_field' ) ? get_field( 'sticky_menu_color' ) : '';
    $sticky_menu_item_color =  !empty( $sticky_menu_color['menu_item_color'] ) ? $sticky_menu_color['menu_item_color'] : '';
    $sticky_menu_active_color =  !empty( $sticky_menu_color['menu_active_color'] ) ? $sticky_menu_color['menu_active_color'] : '';
    $sticky_menu_bg_color =  !empty( $sticky_menu_color['menu_bg_color'] ) ? $sticky_menu_color['menu_bg_color'] : '';

    if ( $sticky_menu_item_color ) {
        $dynamic_css .= "
            .navbar_fixed.header_area .menu > .nav-item > .nav-link {
                color: $sticky_menu_item_color !important;
            }
        ";
    }
    if ( $sticky_menu_active_color ) {
        $dynamic_css .= "
            .navbar_fixed.header_area .menu > .nav-item > .nav-link:hover, 
            .navbar_fixed.header_area .menu > .active.nav-item > .nav-link {
                color: $sticky_menu_active_color !important;
            }
            .navbar_fixed.header_area .menu > .nav-item > .nav-link:before {
                background: $sticky_menu_active_color !important;
            }
        ";
    }
    if ( $sticky_menu_bg_color ) {
        $dynamic_css .= "
            .navbar_fixed.header_area {
                background-color: $sticky_menu_bg_color !important;
            }
        ";
    }


    /**
     * Mobile Menu Colors Options
     **/
    $mobile_menu_color = function_exists( 'get_field' ) ? get_field( 'mobile_menu_color' ) : '';
    $mobile_menu_item_color =  !empty( $mobile_menu_color['menu_item_color'] ) ? $mobile_menu_color['menu_item_color'] : '';
    $mobile_menu_active_color =  !empty( $mobile_menu_color['menu_active_color'] ) ? $mobile_menu_color['menu_active_color'] : '';
    $mobile_menu_bg_color =  !empty( $mobile_menu_color['menu_bg_color'] ) ? $mobile_menu_color['menu_bg_color'] : '';

    if ( $mobile_menu_item_color ) {
        $dynamic_css .= "
            @media (max-width: 991px) {
                .menu > .nav-item > .nav-link {
                    color: $mobile_menu_item_color !important;
                }
            }
        ";
    }
    if ( $mobile_menu_active_color ) {
        $dynamic_css .= "
            @media (max-width: 991px) {
                .menu > .nav-item > .nav-link:hover, 
                .menu > .active.nav-item > .nav-link {
                    color: $mobile_menu_active_color !important;
                }
            }
        ";
    }
    if ( $mobile_menu_bg_color ) {
        $dynamic_css .= "
            @media (max-width: 991px) {
                .navbar-nav {
                    background-color: $mobile_menu_bg_color !important;
                }
            }
        ";
    }

    /**
     * Mobile Menu Sticky Colors Options
     **/
    $sticky_mobile_menu_color = function_exists( 'get_field' ) ? get_field( 'mobile_sticky_menu_color' ) : '';
    $sticky_mobile_menu_item_color =  !empty( $sticky_mobile_menu_color['menu_item_color'] ) ? $sticky_mobile_menu_color['menu_item_color'] : '';
    $sticky_mobile_menu_active_color =  !empty( $sticky_mobile_menu_color['menu_active_color'] ) ? $sticky_mobile_menu_color['menu_active_color'] : '';
    $sticky_mobile_menu_bg_color =  !empty( $sticky_mobile_menu_color['menu_bg_color'] ) ? $sticky_mobile_menu_color['menu_bg_color'] : '';

    if ( $sticky_mobile_menu_item_color ) {
        $dynamic_css .= "
            @media (max-width: 991px) {
                .navbar_fixed.header_area .menu > .nav-item > .nav-link {
                    color: $sticky_mobile_menu_item_color !important;
                }
            }
        ";
    }

    if ( $sticky_mobile_menu_active_color ) {
        $dynamic_css .= "
            @media (max-width: 991px) {
                .navbar_fixed.header_area .menu > .nav-item > .nav-link:hover, 
                .navbar_fixed.header_area .menu > .active.nav-item > .nav-link {
                    color: $sticky_mobile_menu_active_color !important;
                }
            }
        ";
    }
    if ( $sticky_mobile_menu_bg_color ) {
        $dynamic_css .= "
            @media (max-width: 991px) {
                .navbar_fixed.header_area,
                .navbar-nav {
                    background-color: $mobile_menu_bg_color !important;
                }
            }
        ";
    }

    /**
     * Hamburger Menu Colors Options
     **/
    $hamburger_menu = function_exists( 'get_field' ) ? get_field( 'hamburger_menu_color' ) : '';
    $hamburger_menu_color =  isset( $hamburger_menu['menu_color'] ) ? $hamburger_menu['menu_color'] : '';
    $hamburger_menu_close_icon_color =  isset( $hamburger_menu['close_icon_menu_color'] ) ? $hamburger_menu['close_icon_menu_color'] : '';

    if ( $hamburger_menu_color ) {
        $dynamic_css .= "
            .burger_menu {
                color: $hamburger_menu_color !important;
            }
            .burger_menu .dot_icon .dot {
                background: $hamburger_menu_color !important;
            }
        ";
    }

    if ( $hamburger_menu_close_icon_color ) {
        $dynamic_css .= "
            .burger_menu.close_icon {
                color: $hamburger_menu_close_icon_color !important;
            }
        ";
    }


    /**
     * Overlay Menu Colors Options
     **/
    $overlay_menu_color = function_exists( 'get_field' ) ? get_field( 'overlay_menu_color' ) : '';
    $overlay_menu_item_color =  isset( $overlay_menu_color['menu_item_color'] ) ? $overlay_menu_color['menu_item_color'] : '';
    $overlay_menu_bg_color =  isset( $overlay_menu_color['menu_bg_color'] ) ? $overlay_menu_color['menu_bg_color'] : '';
    if ( $overlay_menu_item_color ) {
        $dynamic_css .= "
            .navbar .offcanfas_menu > .nav-item .nav-link {
                color: $overlay_menu_item_color !important;
            }
        ";
    }
    if ( $overlay_menu_bg_color ) {
        $dynamic_css .= "
            .hamburger_menu_wrepper {
                background-color: $overlay_menu_bg_color !important;
            }
        ";
    }


    /**
     * Hamburger Mobile Menu Color Options
     **/
    $overlay_dropdown_menu_color = function_exists( 'get_field' ) ? get_field( 'overlay_dropdwon_menu_color' ) : '';
    $overlay_dropdown_menu_item_color =  isset( $overlay_dropdown_menu_color['menu_item_color'] ) ? $overlay_dropdown_menu_color['menu_item_color'] : '';
    $overlay_dropdown_menu_active_color =  isset( $overlay_dropdown_menu_color['menu_active_color'] ) ? $overlay_dropdown_menu_color['menu_active_color'] : '';

    if ( $overlay_dropdown_menu_item_color ) {
        $dynamic_css .= "
            .navbar .offcanfas_menu > .nav-item.submenu .dropdown-menu > .nav-item > .nav-link {
                color: $overlay_dropdown_menu_item_color !important;
            }
        ";
    }
    if ( $overlay_dropdown_menu_item_color ) {
        $dynamic_css .= "
            .navbar .offcanfas_menu > .nav-item.submenu .dropdown-menu > .nav-item > .nav-link:hover,
            .navbar .offcanfas_menu > .nav-item.submenu .dropdown-menu > .nav-item.active > .nav-link {
                color: $overlay_dropdown_menu_active_color !important;
            }
        ";
    }


    /**
     * Overlay Dropdown Menu Color Options
     **/
    $hamburger_mobile_menu_color = function_exists( 'get_field' ) ? get_field( 'hamburger_mobile_menu_color' ) : '';
    $hamburger_mobile_menu_item_color =  isset( $hamburger_mobile_menu_color['menu_item_color'] ) ? $hamburger_mobile_menu_color['menu_item_color'] : '';
    $hamburger_mobile_menu_bg_color =  isset( $hamburger_mobile_menu_color['menu_active_color'] ) ? $hamburger_mobile_menu_color['menu_active_color'] : '';

    if ( $hamburger_mobile_menu_item_color ) {
        $dynamic_css .= "
            .navbar .offcanfas_menu > .nav-item.submenu .dropdown-menu > .nav-item > .nav-link {
                color: $hamburger_mobile_menu_item_color !important;
            }
        ";
    }


}


// Theme Settings
if (  class_exists( 'ReduxFrameworkPlugin'  )  ) {

    // Banner Title Bar Alignment
    $titlebar_alignment = !empty( $opt['titlebar_align']) ? $opt['titlebar_align'] : '';
    if ( $titlebar_alignment ) {
        $dynamic_css .= "
            .breadcrumb_content, .breadcrumb_content ol.nav {
                text-align: $titlebar_alignment;
                justify-content: $titlebar_alignment;
            }
        ";
    }

    // Page Title Bar Overlay Background Color
    if ( !empty( $opt['banner_overlay_color']['from']) ) {
        $dynamic_css .= "
            .breadcrumb_area_two .overlay{
                background-image: -moz-linear-gradient(-42deg, " . esc_attr($opt['banner_overlay_color']['from'] ) . " 0%, {$opt['banner_overlay_color']['to']} 100%);
                background-image: -webkit-linear-gradient(-42deg, " . esc_attr($opt['banner_overlay_color']['from'] ) . " 0%, {$opt['banner_overlay_color']['to']} 100%);
                background-image: -ms-linear-gradient(-42deg, " . esc_attr($opt['banner_overlay_color']['from'] ) . " 0%, {$opt['banner_overlay_color']['to']} 100%);
            }
        ";
    }

    // Blog Title Bar
    if ( !empty( $opt['blog_banner_overlay_bg_color']['from']) ) {
        $dynamic_css .= "
            .breadcrumb_area_two .overlay{
                background-image: -moz-linear-gradient(-42deg, " . esc_attr($opt['blog_banner_overlay_bg_color']['from'] ) . " 0%, {$opt['blog_banner_overlay_bg_color']['to']} 100%);
                background-image: -webkit-linear-gradient(-42deg, " . esc_attr($opt['blog_banner_overlay_bg_color']['from'] ) . " 0%, {$opt['blog_banner_overlay_bg_color']['to']} 100%);
                background-image: -ms-linear-gradient(-42deg, " . esc_attr($opt['blog_banner_overlay_bg_color']['from'] ) . " 0%, {$opt['blog_banner_overlay_bg_color']['to']} 100%);
            }
        ";
    }

    if ( !empty( $opt['blog_bg_banner_img']['url'] ) ) {
        $dynamic_css .= "
            .breadcrumb_area_two {
                background: url({$opt['blog_bg_banner_img']['url']} ) center 0px / cover no-repeat fixed;
            }
        ";
    }

    // Default Footer Background Color & Image Settings
    if ( !empty( $opt['footer_bg_color_sec']['from']) ) {
        $dynamic_css .= "
            .footer_area {
                background-image: -moz-linear-gradient(-42deg, " . esc_attr($opt['footer_bg_color_sec']['from'] ) . " 0%, {$opt['footer_bg_color_sec']['to']} 100%);
                background-image: -webkit-linear-gradient(-42deg, " . esc_attr($opt['footer_bg_color_sec']['from'] ) . " 0%, {$opt['footer_bg_color_sec']['to']} 100%);
                background-image: -ms-linear-gradient(-42deg, " . esc_attr($opt['footer_bg_color_sec']['from'] ) . " 0%, {$opt['footer_bg_color_sec']['to']} 100%);
            }
        ";
    }

    if ( !empty( $opt['footer_bg_image']['url'] ) ) {
        $dynamic_css .= "
            .footer_area:before {
                background: url({$opt['footer_bg_image']['url']} ) no-repeat scroll center 0/cover;
            }
        ";
    }

    if ( is_404() ) {
        if ( !empty( $opt['404_bg1']['url'] ) ) {
            $dynamic_css .= "
                .error_page_area {
                    background: url({$opt['404_bg1']['url']} ) no-repeat scroll center 0/cover;
                }
            ";
        }
        if ( !empty( $opt['404_bg2']['url'] ) ) {
            $dynamic_css .= "
                .footer_area:before {
                    background: url({$opt['404_bg2']['url']} ) repeat scroll center 0;
                }
            ";
        }
    }

    // Accent Background Gradient Color Settings
    if ( !empty( $opt['secondary_accent_color']['from']) ) {
        $dynamic_css .= "
            .g_hover, .gallery_post .gallery_text_info .gallery_content:before, .gallery_post_two .img:before,
            .comment_box .contact_form_box .p_btn, .widget_search .search-form button, .widget_tag_cloud .tagcloud .tag-cloud-link:hover, .blog_details .wp-block-button__link,
            .blog_details .is-style-outline .wp-block-button__link:hover, .post_social_info .tags a.tag:hover {
                background-image: -moz-linear-gradient(-42deg, " . esc_attr($opt['secondary_accent_color']['from'] ) . " 0%, {$opt['secondary_accent_color']['to']} 100%);
                background-image: -webkit-linear-gradient(-42deg, " . esc_attr($opt['secondary_accent_color']['from'] ) . " 0%, {$opt['secondary_accent_color']['to']} 100%);
                background-image: -ms-linear-gradient(-42deg, " . esc_attr($opt['secondary_accent_color']['from'] ) . " 0%, {$opt['secondary_accent_color']['to']} 100%);
            }
        ";
    }
}

wp_add_inline_style( 'wavee-root', $dynamic_css);